Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Interface JUCtrlValueHandler

All Superinterfaces:
  JUCtrlInputValueHandler

All Known Implementing Classes:
  JUCtrlValueBinding

public interface JUCtrlValueHandler
extends JUCtrlInputValueHandler

A JUCtrlValueHandler interface defines method specific for returning inputValue from custom inputHandler. It is used for support cases such as intermedia in BC4J/FACEs scenario. For example, the "source" of Faces component <objectMedia> is not directly from the corresponding model object, it is a caculated result. So we use a custom ValueHandler to handle the return of correct source for <objectMedia> . This class extends existed JUCtrlInputValueHandler so that it provides all display, update functionality for intermedia objects.

Method Summary
`java.lang.Object` | `getInputValue(JUCtrlValueBinding binding, int index)` Return a custom valueHandle for inputValue.

Methods inherited from interface oracle.jbo.uicli.binding.JUCtrlInputValueHandler
`isNewInputValue, setInputValue`

Method Detail

### getInputValue

    public java.lang.Object getInputValue(JUCtrlValueBinding binding,
                                          int index)

  Return a custom valueHandle for inputValue.
  Parameters:
    `binding` - Control binding associated with the attribute.
    `index` - Index of the attribute in this control binding
  Returns:
    InputValue for the given control binding.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.